<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>QSPIFLASH_DRIVER_ERROR_CODE</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">QSPIFLASH_DRIVER_ERROR_CODE</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga02cbc886a54fac973a08b7113432a7ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga02cbc886a54fac973a08b7113432a7ec"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga02cbc886a54fac973a08b7113432a7ec">QSPIFLASH_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 1)</td></tr>
<tr class="memdesc:ga02cbc886a54fac973a08b7113432a7ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Invalid command. <br /></td></tr>
<tr class="separator:ga02cbc886a54fac973a08b7113432a7ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga281e793b80825b4f7b9e6085ce4ae97f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga281e793b80825b4f7b9e6085ce4ae97f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga281e793b80825b4f7b9e6085ce4ae97f">QSPIFLASH_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 2)</td></tr>
<tr class="memdesc:ga281e793b80825b4f7b9e6085ce4ae97f"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Out of memory. <br /></td></tr>
<tr class="separator:ga281e793b80825b4f7b9e6085ce4ae97f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga660fd9f7c68fe9be4e3bd7f25fa7bf01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga660fd9f7c68fe9be4e3bd7f25fa7bf01"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga660fd9f7c68fe9be4e3bd7f25fa7bf01">QSPIFLASH_ESFDP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 3)</td></tr>
<tr class="memdesc:ga660fd9f7c68fe9be4e3bd7f25fa7bf01"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Already in use. <br /></td></tr>
<tr class="separator:ga660fd9f7c68fe9be4e3bd7f25fa7bf01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3527f7fcf112cac288afd975d3851f9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3527f7fcf112cac288afd975d3851f9b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga3527f7fcf112cac288afd975d3851f9b">QSPIFLASH_ENOTSUPPORTED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 4)</td></tr>
<tr class="memdesc:ga3527f7fcf112cac288afd975d3851f9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Flash device is not supported. <br /></td></tr>
<tr class="separator:ga3527f7fcf112cac288afd975d3851f9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Base error code for the QSPI module is defined in the </p><div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
